<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_1</title>
</head>
<body>
    <h1>Capitulo 1</h1>
    <a>Ejercicio 6</a>

    <script>
    //Copiado
    const comprimirCadena = (cadena = "") => {
        if (!cadena) return console.warn("No ingreso la palabra 1");

        let comprimirStr = "",
         contConsecutivo = 0;

        for (var i = 0; i < cadena.length; i++) {
            contConsecutivo++;
            if (i + 1 >= cadena.length || cadena.charAt(i) != cadena.charAt(i+1)) {
                comprimirStr += "" + cadena.charAt(i) + contConsecutivo;
                contConsecutivo = 0;
            } 
        }
        return (comprimirStr.length < cadena.length)
            ? comprimirStr
            : cadena;       
    }
    
    let comprimir = comprimirCadena("aabcccccaaa");
    console.log(comprimir)


    </script>
    
</body>
</html>